## net.i2p.router.web
Class ConfigNetHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigNetHandler

    public class ConfigNetHandler

extends FormHandler

Handler to deal with form submissions from the main config form and act upon the values.

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`ConfigNetHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setDynamicKeys(String moo)`
`void` `setEnableloadtesting(String moo)`
`void` `setEnabletimesync(String moo)`
`void` `setHostname(String hostname)`
`void` `setInboundburstfactor(String factor)`
`void` `setInboundburstrate(String rate)`
`void` `setInboundrate(String rate)`
`void` `setLaptop(String moo)`
`void` `setNtcpAutoIP(String mode)`
`void` `setNtcpAutoPort(String mode)`
`void` `setNtcphost(String host)`
`void` `setNtcpport(String port)`
`void` `setOutboundburstfactor(String factor)`
`void` `setOutboundburstrate(String rate)`
`void` `setOutboundrate(String rate)`
`void` `setRecheckReachability(String moo)`
`void` `setRequireIntroductions(String moo)`
`void` `setSave(String moo)`
`void` `setSharePercentage(String pct)`
`void` `setTcpPort(String port)`
`void` `setUdpAutoIP(String mode)`
`void` `setUdpHost1(String host)`
`void` `setUdpHost2(String host)`
`void` `setUdpPort(String port)`
`void` `setUpnp(String moo)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigNetHandler

    public ConfigNetHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setSave

    public void setSave(String moo)

### setEnabletimesync

    public void setEnabletimesync(String moo)

### setRecheckReachability

    public void setRecheckReachability(String moo)

### setRequireIntroductions

    public void setRequireIntroductions(String moo)

### setDynamicKeys

    public void setDynamicKeys(String moo)

### setEnableloadtesting

    public void setEnableloadtesting(String moo)

### setUdpAutoIP

    public void setUdpAutoIP(String mode)

### setNtcpAutoIP

    public void setNtcpAutoIP(String mode)

### setNtcpAutoPort

    public void setNtcpAutoPort(String mode)

### setUpnp

    public void setUpnp(String moo)

### setLaptop

    public void setLaptop(String moo)

### setHostname

    public void setHostname(String hostname)

### setTcpPort

    public void setTcpPort(String port)

### setNtcphost

    public void setNtcphost(String host)

### setNtcpport

    public void setNtcpport(String port)

### setUdpHost1

    public void setUdpHost1(String host)

### setUdpHost2

    public void setUdpHost2(String host)

### setUdpPort

    public void setUdpPort(String port)

### setInboundrate

    public void setInboundrate(String rate)

### setInboundburstrate

    public void setInboundburstrate(String rate)

### setInboundburstfactor

    public void setInboundburstfactor(String factor)

### setOutboundrate

    public void setOutboundrate(String rate)

### setOutboundburstrate

    public void setOutboundburstrate(String rate)

### setOutboundburstfactor

    public void setOutboundburstfactor(String factor)

### setSharePercentage

    public void setSharePercentage(String pct)